Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class AprEndpoint.SocketProcessor

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.SocketProcessor

All Implemented Interfaces:
  Runnable

Enclosing class:
  AprEndpoint

    protected class AprEndpoint.SocketProcessor

extends Object
implements Runnable

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool.

Field Summary
`protected SocketWrapper<Long>` | `socket`
`protected SocketStatus` | `status`

Constructor Summary
`AprEndpoint.SocketProcessor(SocketWrapper<Long> socket, SocketStatus status)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected SocketWrapper<Long> socket

### status

    protected SocketStatus status

Constructor Detail

### AprEndpoint.SocketProcessor

    public AprEndpoint.SocketProcessor(SocketWrapper<Long> socket,
                                       SocketStatus status)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.